tigase.io

## Interface TLSWrapper

- All Known Implementing Classes:
    JcaTLSWrapper

      public interface TLSWrapper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `bytesConsumed()`
    `void` | `close()`
    `int` | `getAppBuffSize()`
    `CertCheckResult` | `getCertificateStatus(boolean revocationEnabled, SSLContextContainerIfc sslContextContainer)`
    `SSLEngineResult.HandshakeStatus` | `getHandshakeStatus()`
    `Certificate[]` | `getLocalCertificates()`
    `int` | `getNetBuffSize()`
    `int` | `getPacketBuffSize()`
    `Certificate[]` | `getPeerCertificates()`
    `TLSStatus` | `getStatus()`
    `byte[]` | `getTlsUniqueBindingData()`
    `boolean` | `isClientMode()`
    `boolean` | `isNeedClientAuth()`
    `void` | `setDebugId(String id)`
    `ByteBuffer` | `unwrap(ByteBuffer net, ByteBuffer app)`
    `boolean` | `wantClientAuth()`
    `void` | `wrap(ByteBuffer app, ByteBuffer net)`

- - ### Method Detail

    - #### bytesConsumed

          int bytesConsumed()

    - #### close

          void close()
              throws SSLException

      Throws:
        `SSLException`

    - #### getAppBuffSize

          int getAppBuffSize()

    - #### getCertificateStatus

          CertCheckResult getCertificateStatus(boolean revocationEnabled,
                                               SSLContextContainerIfc sslContextContainer)

    - #### getHandshakeStatus

          SSLEngineResult.HandshakeStatus getHandshakeStatus()

    - #### getLocalCertificates

          Certificate[] getLocalCertificates()

    - #### getNetBuffSize

          int getNetBuffSize()

    - #### getPacketBuffSize

          int getPacketBuffSize()

    - #### getPeerCertificates

          Certificate[] getPeerCertificates()
                                     throws SSLPeerUnverifiedException

      Throws:
        `SSLPeerUnverifiedException`

    - #### getStatus

          TLSStatus getStatus()

    - #### getTlsUniqueBindingData

          byte[] getTlsUniqueBindingData()

    - #### isClientMode

          boolean isClientMode()

    - #### isNeedClientAuth

          boolean isNeedClientAuth()

    - #### setDebugId

          void setDebugId(String id)

    - #### unwrap

          ByteBuffer unwrap(ByteBuffer net,
                            ByteBuffer app)
                     throws SSLException

      Throws:
        `SSLException`

    - #### wantClientAuth

          boolean wantClientAuth()

    - #### wrap

          void wrap(ByteBuffer app,
                    ByteBuffer net)
             throws SSLException

      Throws:
        `SSLException`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.